package aalg.crypto;

/**
 * Challenge that anonymous controller sends to applicant. 
 * @author Ing. Petr Ležák
 */
public class AnonymousChallenge {
	private final long challengeId;
	private final byte[] encryptedMessage;
	private final byte[] challenge;
	
	public AnonymousChallenge(final long challengeId, final byte[] encryptedMessage, final byte[] challenge) {
		this.challengeId = challengeId;
		this.encryptedMessage = encryptedMessage;
		this.challenge = challenge;
	}

	public byte[] getChallenge() {
		return challenge;
	}

	public byte[] getEncryptedMessage() {
		return encryptedMessage;
	}

	public long getChallengeId() {
		return challengeId;
	}

}
